Subject: guix gc removed home config
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Sun, 4 Sep 2022 20:32:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

Today I ran "guix home delete-generations" to remove my old home
generations. It removed generations 0 and 17. I'm on generation 18.

Then I ran "guix gc" and after I noticed I couldn't run a program from
my window manager (its menu is managed from guix home), I tried to look
at what was happening. My config files managed by guix home are now
symlinks that point to non existent store items. Spooky.

Please let me know how I can help diagnose the issue